Subject: bug#76055: 29.4; Doc of string-empty-p

From: Drew Adams <[email-masked]>
Date: Wed, 5 Feb 2025 17:13:17 +0000

> >  Symbols are also allowed; their print names are used instead.
> >
> > This should be done for _each_ function where a string is said to be the
> > expected arg but where we also allow a symbol.
> 
> I'm not sure we want to advertise this, certainly not "for _each_
> function".  Who says this is not a side effect of the particular
> implementation, which can therefore be changed without notice?

Fair enough, wrt your last sentence.

I didn't say "for each function".   I said
each function where..." - something quite
different.

To be more precise: Please do it for each
such function where you can guess that this
behavior isn't just a side effect or that's
likely to be changed without notice.

My guess is that 90% or more of the cases
where we do this are intentional - we
explicitly _want_ to let users use a symbol
in place of a string.  That means it's in
the _design_, not just an implementation
side effect.

So for all _such_ functions (i.e., where you
can consider that this is something users
should be aware of), please make the change.
It's a judgment call, up to you.